# Uses of Interface
org.eclipse.equinox.security.storage.provider.IPreferencesContainer

Packages that use IPreferencesContainer
Package
Description
org.eclipse.equinox.security.storage.provider
Equinox secure storage: provider-specific functionality

## Uses of IPreferencesContainer in org.eclipse.equinox.security.storage.provider

Methods in org.eclipse.equinox.security.storage.provider with parameters of type IPreferencesContainer
Modifier and Type
Method
Description
`abstract PBEKeySpec`
PasswordProvider.`getPassword(IPreferencesContainer container, int passwordType)`
This method should return the password used to encrypt entries in the secure preferences.
`boolean`
PasswordProvider.`retryOnError(Exception e, IPreferencesContainer container)`
The framework might call this method if it suspects that the password is invalid (for instance, due to a failed data decryption).